﻿using Microsoft.AspNetCore.Components;

namespace BlazorApp1.Components
{
    public partial class ListItem
    {
        [Parameter]
        public int Index { get; set; }

        [Parameter]
        public Item Item { get; set; }

        [Parameter]
        public bool NoDrop { get; set; }

        [CascadingParameter]
        public Inventory Parent { get; set; }

        internal void OnDragEnter()
        {
            if (NoDrop)
            {
                return;
            }
        }

        internal void OnDragLeave()
        {
            if (NoDrop)
            {
                return;
            }

        }

        internal void OnDrop()
        {
            if (NoDrop)
            {
                return;
            }

            //this.Item = Parent.CurrentDragItem;
        }

        private void OnDragStart()
        {
            Parent.CurrentDragItem = this.Item;
        }
    }
}
